Next: DOT_PRODUCT, Previous: DIGITS, Up: Intrinsic Procedures [Contents][Index]

### 9.79 `DIM` — Positive difference

Description:

  `DIM(X,Y)` returns the difference `X-Y` if the result is positive; otherwise returns zero.

Standard:

  Fortran 77 and later

Class:

  Elemental function

Syntax:

  `RESULT = DIM(X, Y)`

Arguments:

  X | The type shall be `INTEGER` or `REAL`
  Y | The type shall be the same type and kind as X.

Return value:

  The return value is of type `INTEGER` or `REAL`.

Example:

      program test_dim
          integer :: i
          real(8) :: x
          i = dim(4, 15)
          x = dim(4.345_8, 2.111_8)
          print *, i
          print *, x
      end program test_dim

Specific names:

  Name | Argument | Return type | Standard
  `DIM(X,Y)` | `REAL(4) X, Y` | `REAL(4)` | Fortran 77 and later
  `IDIM(X,Y)` | `INTEGER(4) X, Y` | `INTEGER(4)` | Fortran 77 and later
  `DDIM(X,Y)` | `REAL(8) X, Y` | `REAL(8)` | Fortran 77 and later